%define _requires_exceptions pear(PHPUnit/Framework.php)
%define upstream_name DB_ldap
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.2.1
Release:     	%mkrel 2
Summary:    	DB interface to LDAP server
License: 	LGPL
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/DB_ldap-%{version}.tgz
URL: 		http://pear.php.net/package/DB_ldap
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.4.0b1
Requires:	php-pear-DB
BuildArch: 	noarch

%description
The PEAR::DB_ldap class provides a DB compliant interface to LDAP servers

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/DB_ldap.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/DB_ldap.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/DB_ldap
fi

%files
%defattr(-,root,root)

%{peardir}/*
%{xmldir}/DB_ldap.xml


%changelog

* Thu Jan 26 2012 spuhler <spuhler> 1.2.1-2.mga2
+ Revision: 201688
+ rebuild (emptylog)

* Mon Jan 23 2012 spuhler <spuhler> 1.2.1-1.mga2
+ Revision: 200100
- upgrade to 1.2.1
  pearized spec file

* Sat Feb 05 2011 spuhler <spuhler> 1.2.0-5.mga1
+ Revision: 47302
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-DB_ldap

